DPMGR(1)

NAME
dpmgr - administration utility for QDBM Depot

SYNOPSIS
dpmgr create [-s] [-bnum num] name
dpmgr put [-kx|-ki] [-vx|-vi|-vf] [-keep|-cat] [-na] name key val
dpmgr out [-kx|-ki] name key
dpmgr get [-nl] [-kx|-ki] [-start num] [-max num] [-ox] [-n] name key
dpmgr list [-nl] [-k|-v] [-ox] name
dpmgr optimize [-bnum num] [-na] name
dpmgr inform [-nl] name
dpmgr remove name
dpmgr repair name
dpmgr exportdb name file
dpmgr importdb name file
dpmgr snaffle [-kx|-ki] [-ox] [-n] name key
dpmgr version

DESCRIPTION
This manual page documents briefly the dpmgr commands.

dpmgr is a utility for debugging Depot and its applications. It features editing and checking of a database. It can be used for database applications with shell scripts. This command is used in the above format. name specifies a database name. key specifies the key of a record. val specifies the value of a record.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#depotcli.

-s  make the file sparse.

-bnum num
    specify the number of the elements of the bucket array.

-kx treat key as a binary expression of hexadecimal notation.

-ki treat key as an integer expression of decimal notation.

-vx treat val as a binary expression of hexadecimal notation.

-vi treat val as an integer expression of decimal notation.

-vf read the value from a file specified with val.

-keep
    specify the storing mode for `DP_DKEEP'.

-cat
    specify the storing mode for `DP_DCAT'.

-na do not set alignment.

-nl open the database without file locking.

-start
    specify the beginning offset of a value to fetch.

-max
    specify the max size of a value to fetch.

-ox treat the output as a binary expression of hexadecimal notation.

-n  do not output the tailing newline.

-k  output keys only.

-v  output values only.

SEE ALSO
qdbm(3), dptsv(1), dpopen(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).